=== debian/changelog ===
golang-github-envoyproxy-go-control-plane (0.12.0-2) unstable; urgency=medium

  * debian/control: correct architecture to all.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 10 Feb 2026 15:28:11 +0100

golang-github-envoyproxy-go-control-plane (0.12.0-1) unstable; urgency=medium

  * Initial release (Closes: #1126678)
    - required for newer golang-google-cloud 0.115.0.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 27 Jan 2026 13:08:42 +0100
