=== debian/control ===
Source: golang-github-envoyproxy-go-control-plane
Section: golang
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Andrew Lee (李健秋) <ajqlee@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               dpkg-build-api (= 1),
               golang-any,
               golang-cel-expr-dev,
               golang-github-census-instrumentation-opencensus-proto-dev,
               golang-github-cncf-xds-dev,
               golang-github-envoyproxy-protoc-gen-validate-dev,
               golang-github-google-go-cmp-dev,
               golang-github-prometheus-client-model-dev,
               golang-github-stretchr-testify-dev,
               golang-google-genproto-dev,
               golang-google-grpc-dev,
               golang-google-protobuf-dev,
               golang-goprotobuf-dev,
               golang-opentelemetry-proto-dev,
               golang-gopkg-yaml.v2-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-envoyproxy-go-control-plane
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-envoyproxy-go-control-plane.git
Homepage: https://github.com/envoyproxy/go-control-plane
XS-Go-Import-Path: github.com/envoyproxy/go-control-plane

Package: golang-github-envoyproxy-go-control-plane-dev
Section: devel
Architecture: all
Depends: ${misc:Depends},
Description: go implementation of the envoy data plane API
 This package provides a complete Go implementation of the xDS control plane
 for the Envoy proxy. It includes the infrastructure necessary to build
 servers that can dynamically configure a fleet of proxies or proxyless gRPC
 clients using the universal data plane API.
 .
 The library manages the complexity of the xDS protocol, including versioning,
 resource caching, and state-of-the-world or delta updates. By providing a
 structured way to push configurations—such as listeners, clusters, and
 routing rules—to the data plane, it enables the creation of sophisticated
 service meshes and load-balancing solutions.
