=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := examples

%:
	dh $@ --builddirectory=debian/_build --buildsystem=golang

override_dh_auto_install:
	dh_auto_install -- --no-binaries
	# Drop execute bits
	find debian/golang-github-envoyproxy-go-control-plane-dev -type f \
		-executable -not -name "*.sh" -exec chmod a-x {} ';'
