=== examples/dyplomat/Makefile ===
include ../../Makefile.common
