=== debian/changelog ===
golang-github-envoyproxy-go-control-plane (0.13.2-1) unstable; urgency=medium

  * debian/watch: switch to version 5.
  * New upstream version 0.13.2
  * debian/control: update dependency. Drop build-deps on golang-github-
    census-instrumentation-opencensus-proto-dev due to dead upstream.
    (Closes: #1129575)

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 03 Mar 2026 08:29:56 +0100
