=== debian/control ===
--- 
+++ 
@@ -6,19 +6,14 @@
                dh-sequence-golang,
                dpkg-build-api (= 1),
                golang-any,
-               golang-cel-expr-dev,
-               golang-github-census-instrumentation-opencensus-proto-dev,
                golang-github-cncf-xds-dev,
                golang-github-envoyproxy-protoc-gen-validate-dev,
                golang-github-google-go-cmp-dev,
-               golang-github-prometheus-client-model-dev,
                golang-github-stretchr-testify-dev,
                golang-google-genproto-dev,
                golang-google-grpc-dev,
                golang-google-protobuf-dev,
-               golang-goprotobuf-dev,
-               golang-opentelemetry-proto-dev,
-               golang-gopkg-yaml.v2-dev,
+               golang-uber-goleak-dev,
 Testsuite: autopkgtest-pkg-go
 Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-envoyproxy-go-control-plane
@@ -30,6 +25,12 @@
 Section: devel
 Architecture: all
 Depends: ${misc:Depends},
+         golang-github-google-go-cmp-dev,
+         golang-github-stretchr-testify-dev,
+         golang-google-genproto-dev,
+         golang-google-grpc-dev,
+         golang-google-protobuf-dev,
+         golang-uber-goleak-dev,
 Description: go implementation of the envoy data plane API
  This package provides a complete Go implementation of the xDS control plane
  for the Envoy proxy. It includes the infrastructure necessary to build
