=== debian/watch ===
Version: 5

Template: Github
Owner: envoyproxy
Project: go-control-plane
Dversion-Mangle: auto
